Page 7 of 18 FirstFirst ... 5678917 ... LastLast
Results 61 to 70 of 174

Thread: Intel Wants YOUR Linux Questions, Feedback

  1. #61

    Default OpenGL 3 support in Mesa

    Thanks for what you've done Intel! Keep up the good work!

  2. #62
    Join Date
    Jan 2012
    Location
    Vilnius, Lithuania
    Posts
    1

    Default GM965 performance regression in Ubuntu 11.10?

    I've a Thinkpad with Intel GM965. It worked quite well (with some occasional crashes/hangs) in Ubuntu 11.04. After I upgraded to 11.10, the crashes appear to have been fixed (yayyy!), but performance seems to have been significantly degraded (). To the extent that when I drag terminal windows around on my screen the position updates at what feels like ~6 fps. The compiz workspace sliding animation on Ctrl+Alt+Left/Right sometimes drops *all* the intermediate frames. I can sometimes see *tearing* when I'm scrolling text in less in a gnome-terminal!

    What's a user to do? Wait and hope for 12.04? Assume the bug is in the Intel video driver and file a bug? Search for backports of newer driver versions?

  3. #63
    Join Date
    Nov 2008
    Location
    Madison, WI, USA
    Posts
    873

    Default

    Quote Originally Posted by Kivada View Post
    Gallium3D drivers.
    Better support for old yet ubiquitos hardware.
    Seconded on both of these.

    I've got i810, i820, and i915 systems laying around, and only i915 is still supported by anything but the VESA driver. There is no KMS for i810/i820. That would've been fine, but the only use I have for several of those systems is as movie playback machines. VESA + i820 + P4-celeron laptop = slideshow. I've had to downgrade to Ubuntu 10.04 in order to get back decent video drivers, but eventually that version will lose LTS support. Is there any hope that someone will provide an alternative xorg-video-intel-legacy driver that preserves the old UMS code paths? I couldn't care less about 3D on these machines, but EXA/UXA, XvMC and DVD playback are very desirable.

    I'd love to see intel switch to a gallium driver for newer architectures now that you're catching up on the GL version number. I would understand if you wait until you've hit GL 3.3 and/or GL 4.x, but I'd love to see it sooner rather than later. If you've got good performance reasons not to, we'd love to hear them. At this point, I've been assuming that it's just a desire to spend time improving features instead of spending man-hours on refactoring/rewriting the code for the gallium infrastructure.

    And yes, OpenCL is a big one for me. Ideally through Gallium, but I'll take what I can get. This is the main reason why I haven't been buying any recent intel systems. My work required me to have something which could handle OpenCL in hardware, and therefore my laptops had to come with AMD/Nvidia graphics.

  4. #64
    Join Date
    Jan 2012
    Posts
    2

    Default

    Quote Originally Posted by eugeni_dodonov View Post
    In general, if you do not experience random hangs and graphics corruptions when rc6 is enabled - I mean, issues which you haven't seen previously, you shouldn't have any issues with it at all. But if you do, we'll be very interested in hearing about it, because we are on a quest to locate machines which can reliably reproduce rc6-related problems. But so far, I'd say that around 99% of all machines should "just work" with it enable.
    I'm booting in EFI mode on my Macbook Pro to use the integrated Sandy Bridge IGP.

    I've got two problems with this:

    1) I have to add the 'Manual override of LVDS channels' patch to get a picture.
    2) I get strange graphics corruption with RC6 enabled (and can't disable VD-t because I don't have a BIOS)

    Should I file bugs about this, or email the mailing list?

  5. #65
    Join Date
    Aug 2007
    Posts
    6,622

    Default

    Maybe a new test could be added to your quality checks. gl2benchmark features 4 possible tests based on osg, which several games use, test 4 is always rendered wrong, test 3 seems to be gfx chip specific. There i mentioned it already:

    http://phoronix.com/forums/showthrea...628#post213628

    gl2benchmark is preinstalled on current Kanotix live images. For snb you could use a trial iso from

    http://kanotix.acritox.com/

    There you can also notice the x server crash if you enable KDE 4 effects (via OpenGL) before starting gl2benchmark...

    ps: using that tool i also found a bug in fglrx drivers which lasted about 11 month and had also to do with test 3/4 and missing pointsprites.

  6. #66
    Join Date
    Jan 2012
    Location
    Croatia
    Posts
    1

    Default

    I have Intel GMA 4500 MHD, and i915 driver. On any Linux distribution I have to add acpi_osi=Linux argument in the grub, or else I canīt set screen brightness (screen is black).

    On 2.6.32 and older kernels thereīs no such issue.

    Cheers!

  7. #67
    Join Date
    Jun 2011
    Posts
    316

    Default

    Similar to branding such as Centrino or "Made for Windows 7", I would like to see an Intel certification of a laptop that basically means that it's "Linux ready".. As you noted, some of the Intel graphics solutions have really cruddy support under Linux while others work very well..

    Obviously, Optimus laptops wouldn't get this certification due to lack of hardware support from nvidia and laptops with the open source Intel graphics drivers would..

    Basically getting a little certification / sticker on the laptop for all the hard work that you've done for the Linux drivers. You've already done the work, so you might as well brag about it & take credit for it.


    That would mean a lot to me because I almost accidently bought a laptop with poorly supported hardware under Linux.

    Q: Is there any way that you can push for a an Intel certification for Linux? Maybe work with Canonical and get an "Ubuntu ready" certification for 12.04 LTS? Or better yet.. "Made for Ubuntu 12.04?"
    Last edited by Sidicas; 01-13-2012 at 11:55 AM.

  8. #68
    Join Date
    Jan 2012
    Location
    Italy
    Posts
    52

    Default OpenCL

    Thanks for your answers, I was very interested about Intel support for Ivy Bridge and new GPUs, OpenGL 3.x/4.x compliance and Gallium3D. I hope you will choose Gallium3D for your next drivers.

    What about OpenCL compliance?

  9. #69
    Join Date
    Jun 2011
    Posts
    316

    Default

    Quote Originally Posted by Nedanfor View Post
    .OpenGL 3.x/4.x compliance and Gallium3D
    This is the one thing that I find hypocritical about the linux community that drives me up the wall being part of the linux community myself... It's ok to have a bajillion different window managers and forks of all sorts of projects all over the place (libreoffice / openoffice, Trinity / KDE,etc. etc.)..

    But then when a hardware manuf. goes off and does their own driver which they release fully open source, some people in the community has a fit and wants to force the manuf. to use something they didn't want to use.

    It's not right, all I'm sayin'. If you want the Intel driver in Gallium, port it yourself. As the Intel rep stated earlier, there is no benefit in doing so and they haven't yet heard any compelling reasons from the community that would justify a port to gallium.

    Why are so many people giving Intel a hard time about using their "Freedom" when they chose not to use Gallium? Would it be just as appropriate for me to go to a KDE project and tell them they should use Gnome or vice-versa?
    Last edited by Sidicas; 01-13-2012 at 12:38 PM.

  10. #70
    Join Date
    Jan 2012
    Location
    Italy
    Posts
    52

    Default

    Quote Originally Posted by Sidicas View Post
    This is the one thing that I find hypocritical about the linux community that drives me up the wall being part of the linux community myself... It's ok to have a bajillion different window managers and forks of all sorts of projects all over the place (libreoffice / openoffice, Trinity / KDE,etc. etc.)..

    But then when a hardware manuf. goes off and does their own driver which they release fully open source, some people in the community has a fit and wants to force the manuf. to use something they didn't want to use.

    It's not right, all I'm sayin'.
    I didn't say 'You must do it', just 'I hope you will choose it'. I didn't ask to rewrite drivers for Sandy/Ivy Bridge and older hardware and I hope they will choose it because AMD and nouveau guys are working on it, so if even Intel works with them there will be better results for everybody.

    Please, don't misunderstand what I wrote: I don't want to force anybody to do anything. I just believe this could be an opportunity to write better drivers. I'm sorry that you feel what I wrote 'hypocrite'

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •